JEXEC(8)

NAME
jexec - execute a command inside an existing jail

SYNOPSIS
jexec [-u username | -U username] jail command ...

DESCRIPTION
The jexec utility executes command inside the jail identified by its jid or name.

The following options are available:

-u username
    The user name from host environment as whom the command should run.

-U username
    The user name from jailed environment as whom the command should run.

SEE ALSO
jail_attach(2), jail(8), jls(8)

HISTORY
The jexec utility was added in FreeBSD 5.1.

BUGS
If the jail is not identified by jid there is a possible race in between the lookup of the jail and executing the command inside the jail. Giving a jid has a similar race as another process can stop the jail and start another one after the user looked up the jid.